# Uses of Class
net.shibboleth.idp.attribute.ByteAttributeValue

Packages that use ByteAttributeValue
Package
Description
net.shibboleth.idp.saml.attribute.transcoding.impl
Implementations of SAML transcoders.

## Uses of ByteAttributeValue in net.shibboleth.idp.saml.attribute.transcoding.impl

Methods in net.shibboleth.idp.saml.attribute.transcoding.impl with parameters of type ByteAttributeValue
Modifier and Type
Method
Description
`protected XMLObject`
SAML1ByteAttributeTranscoder.`encodeValue(ProfileRequestContext profileRequestContext, IdPAttribute attribute, TranscodingRule rule, ByteAttributeValue value)`
Encodes an attribute value into a SAML AttributeValue element.
`protected XMLObject`
SAML2ByteAttributeTranscoder.`encodeValue(ProfileRequestContext profileRequestContext, IdPAttribute attribute, TranscodingRule rule, ByteAttributeValue value)`
Encodes an attribute value into a SAML AttributeValue element.